# eric3.UI.E3SingleApplication

Module implementing the single application server and client.

### Classes

E3SingleApplicationClient | Class implementing the single application client of the IDE.
E3SingleApplicationServer | Class implementing the single application server embedded within the IDE.

### Functions

None

## E3SingleApplicationClient

Class implementing the single application client of the IDE.

### Derived from

SingleApplicationClient

### Methods

E3SingleApplicationClient | Constructor
openFile | Private method to open a file in the application server.
openProject | Private method to open a project in the application server.
processArgs | Public method to process the command line args passed to the UI.
sendArguments | Private method to set the command arguments in the application server.

### E3SingleApplicationClient (Constructor)

E3SingleApplicationClient()

Constructor

### E3SingleApplicationClient.openFile

openFile(fname)

Private method to open a file in the application server.

fname
  name of file to be opened (string)

### E3SingleApplicationClient.openProject

openProject(pfname)

Private method to open a project in the application server.

pfname
  name of the projectfile to be opened (string)

### E3SingleApplicationClient.processArgs

processArgs(args)

Public method to process the command line args passed to the UI.

args
  list of files to open

### E3SingleApplicationClient.sendArguments

sendArguments(argsStr)

Private method to set the command arguments in the application server.

argsStr
  space delimited list of command args (string)

Up

## E3SingleApplicationServer

Class implementing the single application server embedded within the IDE.

### Derived from

SingleApplicationServer

### Methods

E3SingleApplicationServer | Constructor
handleCommand | Public slot to handle the command sent by the client.
saArguments | Private method used to handle the "Arguments" command.
saOpenFile | Private method used to handle the "Open File" command.
saOpenProject | Private method used to handle the "Open Project" command.

### E3SingleApplicationServer (Constructor)

E3SingleApplicationServer()

Constructor

### E3SingleApplicationServer.handleCommand

handleCommand(cmd, params)

Public slot to handle the command sent by the client.

cmd
  commandstring (string)
params
  parameterstring (string)

### E3SingleApplicationServer.saArguments

saArguments(argsStr)

Private method used to handle the "Arguments" command.

argsStr
  space delimited list of command args(string)

### E3SingleApplicationServer.saOpenFile

saOpenFile(fname)

Private method used to handle the "Open File" command.

fname
  filename to be opened (string)

### E3SingleApplicationServer.saOpenProject

saOpenProject(pfname)

Private method used to handle the "Open Project" command.

pfname
  filename of the project to be opened (string)

Up